import request from '@/utils/request'

//获取国家配置列表
export function getNationalList(params) {
    return request({
        url: '/system/manage/country/list',
        method: 'get',
        params
    })
}

//获取语种枚举
export function getlanguagesList(params) {
    return request({
        url: '/system/pub/enums/get-languages',
        method: 'get',
        params
    })
}

//删除单条国家列表
export function deleteCountry(pkId) {
    return request({
        url: '/system/manage/country/' + pkId,
        method: 'delete',
    })
}

//修改国家状态
export function updateEnable(pkId, state) {
    return request({
        url: '/system/manage/country/updateEnable/' + pkId + '/' + state,
        method: 'post',
    })
}

//新增国家列表
export function addNational(data) {
    return request({
        url: 'system/manage/country/save',
        method: 'post',
        data
    })
}

//修改国家列表
export function updateNational(data) {
    return request({
        url: 'system/manage/country/update',
        method: 'post',
        data
    })
}


//获取单条国家列表
export function getOnecountrylist(params) {
    return request({
        url: '/system/manage/country/detail',
        method: 'get',
        params
    })
}
